ros-melodic-smclib

Build Status: FAILURE     Last Build Date: 19.1.2021 19:24

Build Output
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed

0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
100 120 100 120 0 0 431 0 --:--:-- --:--:-- --:--:-- 430

100 33713 0 33713 0 0 70677 0 --:--:-- --:--:-- --:--:-- 70677
ros-melodic-smclib-1.8.5.tar.gz ... Passed
CMake Warning at /usr/src/gmock/CMakeLists.txt:43 (project):
VERSION keyword not followed by a value or was followed by a value that
expanded to nothing.


CMake Deprecation Warning at /usr/src/gmock/CMakeLists.txt:45 (cmake_minimum_required):
Compatibility with CMake < 2.8.12 will be removed from a future version of
CMake.

Update the VERSION argument <min> value or use a ...<max> suffix to tell
CMake that the project does not need compatibility with older versions.


CMake Warning at /usr/src/googletest/CMakeLists.txt:54 (project):
VERSION keyword not followed by a value or was followed by a value that
expanded to nothing.


CMake Deprecation Warning at /usr/src/googletest/CMakeLists.txt:56 (cmake_minimum_required):
Compatibility with CMake < 2.8.12 will be removed from a future version of
CMake.

Update the VERSION argument <min> value or use a ...<max> suffix to tell
CMake that the project does not need compatibility with older versions.


CMake Warning:
Manually-specified variables were not used by the project:

PYTHON_BASENAME
PYTHON_INCLUDE_DIR
PYTHON_LIBRARY


Traceback (most recent call last):
File "/build/src/bond_core-1.8.5/smclib/setup.py", line 12, in <module>
setup(**d)
File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 153, in setup
return distutils.core.setup(**attrs)
File "/usr/lib/python3.9/distutils/core.py", line 148, in setup
dist.run_commands()
File "/usr/lib/python3.9/distutils/dist.py", line 966, in run_commands
self.run_command(cmd)
File "/usr/lib/python3.9/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/usr/lib/python3.9/site-packages/setuptools/command/egg_info.py", line 294, in run
writer(self, ep.name, os.path.join(self.egg_info, ep.name))
File "/usr/lib/python3.9/site-packages/setuptools/command/egg_info.py", line 630, in write_pkg_info
metadata.write_pkg_info(cmd.egg_info)
File "/usr/lib/python3.9/distutils/dist.py", line 1117, in write_pkg_info
self.write_pkg_file(pkg_info)
File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 140, in write_pkg_file
write_field('Summary', single_line(self.get_description()))
File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 124, in single_line
raise ValueError("newlines not allowed")
ValueError: newlines not allowed
CMake Error at catkin_generated/safe_execute_install.cmake:4 (message):

execute_process(/build/src/build/catkin_generated/python_distutils_install.sh)
returned error code
Call Stack (most recent call first):
cmake_install.cmake:61 (include)


make: *** [Makefile:105: install] Error 1
==> ERROR: A failure occurred in package().
Aborting...
No packages were built!
   
Git push to AUR Output
[up to date]